module tx.openfile;
import tx.charset;
import tx.textream;
public import std.stream;

//enum FileMode {
//  In = 1,
//  Out = 2,
//  OutNew = 6, // includes FileMode.Out
//  Append = 10 // includes FileMode.Out
//}

BufferedFile openFile( string filename, FileMode mode = FileMode.In )
{
	version(Windows)
		return new BufferedFile(filename, mode);
	else
		return new BufferedFile(NativeCharset().fromUTF8(filename), mode);
}

Textream openTextFile( string filename, FileMode mode = FileMode.In )
{
	version(Windows)
		return new Textream( new BufferedFile(filename, mode) );
	else
		return new Textream( new BufferedFile(NativeCharset().fromUTF8(filename), mode) );
}
